firefox - pour - firebug quantum




Supprimer l'avertissement Firefox/Firebug SHA-1 (3)

Comme indiqué dans le groupe de discussion Firebug, le panneau Console de Firebug actuellement (Firebug 2.x) ne peut filtrer les messages uniques. Vous ne pouvez filtrer que par des messages correspondant à un texte spécifique en utilisant le champ de recherche .

Il y a des requêtes d'amélioration comme le problème # 4507 rapporté pour ajouter un tel filtre, bien qu'il soit peu probable que cela soit implémenté directement dans Firebug, surtout pas dans la version 2.x.

Firebug 3 s'intégrera dans les DevTools intégrés, ce qui vous permettra de filtrer ces avertissements en décochant les avertissements dans le menu Sécurité du panneau Console :

En plus de cela, j'ai créé le bug 1170476 demandant de réduire les messages au minimum.

Mettre à jour:

Le développement de Firebug est arrêté . Au lieu de cela, il y a un thème Firebug disponible dans Firefox DevTools à partir de Firefox 48. Le bug 1170476 est corrigé depuis Firefox 42, donc vous ne verrez qu'un message enregistré avec un compteur indiquant la fréquence du message .

J'utilise Firebug pour le développement web. Depuis la version Firefox 37, je vois le message ennuyeux suivant dans ma console:

Ce site utilise un certificat SHA-1; il est recommandé d'utiliser des certificats avec des algorithmes de signature qui utilisent des fonctions de hachage plus puissantes que SHA-1 "

Je comprends que c'est un message important, mais il est dupliqué plusieurs fois et rend mon travail presque impossible. De plus, il apparaît chaque fois que ma page communique avec d'autres pages, par exemple avec Google Analytics et d'autres compteurs. Donc, si je devais mettre à jour mon certificat, ce message apparaîtrait toujours parce que ces sites auraient SHA-1. Donc, n'importe quel site avec GA me donne des ennuis.

Comment puis-je désactiver ou filtrer ce message?


Sélectionnez l'onglet Console et maintenez la touche Ctrl du clavier enfoncée , cliquez sur Erreurs , Infos , Informations de débogage , Cookies .

Gardez à l'esprit que cela désactivera la sortie de tous les avertissements enregistrés dans Firebug et pas seulement ceux générés par googleapis.


vous pouvez vous débarrasser du message, mais vous devez modifier le code des firebugs.

Désolé oublié de mentionner que vous devez convertir le .xpi en .zip et extraire les fichiers en premier. Vous pouvez laisser le dossier tel quel lorsque vous avez terminé ou le compresser et le convertir à nouveau en xpi. Vous devrez redémarrer Firefox.

  1. localisez le pluggin dans votre répertoire de profil firefox et allez dans ce fichier "\ extensions \ [email protected] \ content \ firebug \ console \ errors.js".
  2. recherche de "logScriptError: function (context, object, isWarning)".
  3. Après le code "var error = new ErrorMessageObj (objet.errorMessage, objet.sourceName, object.lineNumber, objet.sourceLine, catégorie, contexte, null);".

entrez le code suivant:

if(error.message.indexOf('SHA-1') != -1 || error.message.indexOf('Security Policy') != -1){
            return false;
        }

devrait être sur la ligne 330.





sha